-module(mad_vz).

-export([
  compile/1,
  app/1,
  clean/1,
  start/1,
  attach/1,
  stop/1,
  release/1,
  resolve/1,
  sh/1,
  deps/1,
  up/1,
  fetch/1
]).


compile(Params)   -> mad_compile:compile(Params).
app(Params)       -> mad_static:app(Params).
clean(Params)     -> mad_vz:clean(Params).
start(Params)     -> mad_vz:start(Params).
attach(Params)    -> mad_vz:attach(Params).
stop(Params)      -> mad_vz:stop(Params).
release(Params)   -> mad_release:release(Params).
resolve(Params)   -> mad_resolve:main(Params).
sh(_Params)        -> {error,'N/A'}.
deps(Params)      -> mad_synrc:deps(Params).
up(Params)        -> mad_synrc:up(Params).
fetch(Params)     -> mad_synrc:fetch(Params).

